Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class StandardBaseColumn

    java.lang.Object
      net.sf.jasperreports.components.table.StandardBaseColumn

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, BaseColumn, JRChangeEventsSupport, JRCloneable

Direct Known Subclasses:
  StandardColumn, StandardColumnGroup

    public abstract class StandardBaseColumn

extends java.lang.Object
implements BaseColumn, java.io.Serializable, JRChangeEventsSupport

Version:
  $Id: StandardBaseColumn.java 3711 2010-04-07 21:43:03Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_COLUMN_FOOTER`
`static java.lang.String` | `PROPERTY_COLUMN_HEADER`
`static java.lang.String` | `PROPERTY_GROUP_FOOTERS`
`static java.lang.String` | `PROPERTY_GROUP_HEADERS`
`static java.lang.String` | `PROPERTY_PRINT_WHEN_EXPRESSION`
`static java.lang.String` | `PROPERTY_TABLE_FOOTER`
`static java.lang.String` | `PROPERTY_TABLE_HEADER`
`static java.lang.String` | `PROPERTY_WIDTH`

Constructor Summary
`StandardBaseColumn()`
`StandardBaseColumn(BaseColumn column, ColumnFactory factory)`

Method Summary
`void` | `addGroupFooter(GroupCell groupCell)`
`void` | `addGroupHeader(GroupCell groupCell)`
`java.lang.Object` | `clone()`
`protected int` | `findGroupCellIndex(java.util.List<GroupCell> groupCells, java.lang.String groupName)`
`Cell` | `getColumnFooter()`
`Cell` | `getColumnHeader()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`Cell` | `getGroupFooter(java.lang.String groupName)`
`java.util.List<GroupCell>` | `getGroupFooters()`
`Cell` | `getGroupHeader(java.lang.String groupName)`
`java.util.List<GroupCell>` | `getGroupHeaders()`
`JRExpression` | `getPrintWhenExpression()`
`Cell` | `getTableFooter()`
`Cell` | `getTableHeader()`
`java.lang.Integer` | `getWidth()`
`boolean` | `removeGroupFooter(GroupCell groupCell)`
`boolean` | `removeGroupHeader(GroupCell groupCell)`
`void` | `setColumnFooter(Cell header)`
`void` | `setColumnHeader(Cell header)`
`void` | `setGroupFooter(java.lang.String groupName, Cell cell)`
`void` | `setGroupFooters(java.util.List<GroupCell> groupFooters)`
`void` | `setGroupHeader(java.lang.String groupName, Cell cell)`
`void` | `setGroupHeaders(java.util.List<GroupCell> groupHeaders)`
`void` | `setPrintWhenExpression(JRExpression printWhenExpression)`
`void` | `setTableFooter(Cell tableFooter)`
`void` | `setTableHeader(Cell tableHeader)`
`void` | `setWidth(java.lang.Integer width)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.components.table.BaseColumn
`visitColumn`

Field Detail

### PROPERTY_PRINT_WHEN_EXPRESSION

    public static final java.lang.String PROPERTY_PRINT_WHEN_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_TABLE_HEADER

    public static final java.lang.String PROPERTY_TABLE_HEADER

See Also:
  Constant Field Values

### PROPERTY_TABLE_FOOTER

    public static final java.lang.String PROPERTY_TABLE_FOOTER

See Also:
  Constant Field Values

### PROPERTY_COLUMN_HEADER

    public static final java.lang.String PROPERTY_COLUMN_HEADER

See Also:
  Constant Field Values

### PROPERTY_COLUMN_FOOTER

    public static final java.lang.String PROPERTY_COLUMN_FOOTER

See Also:
  Constant Field Values

### PROPERTY_GROUP_HEADERS

    public static final java.lang.String PROPERTY_GROUP_HEADERS

See Also:
  Constant Field Values

### PROPERTY_GROUP_FOOTERS

    public static final java.lang.String PROPERTY_GROUP_FOOTERS

See Also:
  Constant Field Values

### PROPERTY_WIDTH

    public static final java.lang.String PROPERTY_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### StandardBaseColumn

    public StandardBaseColumn()

### StandardBaseColumn

    public StandardBaseColumn(BaseColumn column,
                              ColumnFactory factory)

Method Detail

### getColumnHeader

    public Cell getColumnHeader()

  Specified by:
    `getColumnHeader` in interface `BaseColumn`

### getColumnFooter

    public Cell getColumnFooter()

  Specified by:
    `getColumnFooter` in interface `BaseColumn`

### getPrintWhenExpression

    public JRExpression getPrintWhenExpression()

  Specified by:
    `getPrintWhenExpression` in interface `BaseColumn`

### setPrintWhenExpression

    public void setPrintWhenExpression(JRExpression printWhenExpression)

### setColumnHeader

    public void setColumnHeader(Cell header)

### setColumnFooter

    public void setColumnFooter(Cell header)

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

### getTableHeader

    public Cell getTableHeader()

  Specified by:
    `getTableHeader` in interface `BaseColumn`

### setTableHeader

    public void setTableHeader(Cell tableHeader)

### getTableFooter

    public Cell getTableFooter()

  Specified by:
    `getTableFooter` in interface `BaseColumn`

### setTableFooter

    public void setTableFooter(Cell tableFooter)

### getWidth

    public java.lang.Integer getWidth()

  Specified by:
    `getWidth` in interface `BaseColumn`

### setWidth

    public void setWidth(java.lang.Integer width)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

### getGroupHeaders

    public java.util.List<GroupCell> getGroupHeaders()

  Specified by:
    `getGroupHeaders` in interface `BaseColumn`

### getGroupFooters

    public java.util.List<GroupCell> getGroupFooters()

  Specified by:
    `getGroupFooters` in interface `BaseColumn`

### findGroupCellIndex

    protected int findGroupCellIndex(java.util.List<GroupCell> groupCells,
                                     java.lang.String groupName)

### getGroupFooter

    public Cell getGroupFooter(java.lang.String groupName)

  Specified by:
    `getGroupFooter` in interface `BaseColumn`

### getGroupHeader

    public Cell getGroupHeader(java.lang.String groupName)

  Specified by:
    `getGroupHeader` in interface `BaseColumn`

### setGroupHeaders

    public void setGroupHeaders(java.util.List<GroupCell> groupHeaders)

### setGroupFooters

    public void setGroupFooters(java.util.List<GroupCell> groupFooters)

### addGroupHeader

    public void addGroupHeader(GroupCell groupCell)

### addGroupFooter

    public void addGroupFooter(GroupCell groupCell)

### removeGroupFooter

    public boolean removeGroupFooter(GroupCell groupCell)

### removeGroupHeader

    public boolean removeGroupHeader(GroupCell groupCell)

### setGroupFooter

    public void setGroupFooter(java.lang.String groupName,
                               Cell cell)

### setGroupHeader

    public void setGroupHeader(java.lang.String groupName,
                               Cell cell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com